Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network2.178.136.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
2.178.136.0
Broadcast address
2.178.139.255
First usable
2.178.136.1
Last usable
2.178.139.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 02B28800 · Integer 45254656 to 45255679
Reverse DNS zones
136.178.2.in-addr.arpa
137.178.2.in-addr.arpa
138.178.2.in-addr.arpa
139.178.2.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000010.10110010.10001000.000000002.178.136.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00000010.10110010.10001000.000000002.178.136.0
Broadcast00000010.10110010.10001011.111111112.178.139.255
Split into smaller subnets/29

2.178.136.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
12.178.136.0/292.178.136.1 to 2.178.136.62.178.136.76
22.178.136.8/292.178.136.9 to 2.178.136.142.178.136.156
32.178.136.16/292.178.136.17 to 2.178.136.222.178.136.236
42.178.136.24/292.178.136.25 to 2.178.136.302.178.136.316
52.178.136.32/292.178.136.33 to 2.178.136.382.178.136.396
62.178.136.40/292.178.136.41 to 2.178.136.462.178.136.476
72.178.136.48/292.178.136.49 to 2.178.136.542.178.136.556
82.178.136.56/292.178.136.57 to 2.178.136.622.178.136.636
92.178.136.64/292.178.136.65 to 2.178.136.702.178.136.716
102.178.136.72/292.178.136.73 to 2.178.136.782.178.136.796
112.178.136.80/292.178.136.81 to 2.178.136.862.178.136.876
122.178.136.88/292.178.136.89 to 2.178.136.942.178.136.956
132.178.136.96/292.178.136.97 to 2.178.136.1022.178.136.1036
142.178.136.104/292.178.136.105 to 2.178.136.1102.178.136.1116
152.178.136.112/292.178.136.113 to 2.178.136.1182.178.136.1196
162.178.136.120/292.178.136.121 to 2.178.136.1262.178.136.1276
172.178.136.128/292.178.136.129 to 2.178.136.1342.178.136.1356
182.178.136.136/292.178.136.137 to 2.178.136.1422.178.136.1436
192.178.136.144/292.178.136.145 to 2.178.136.1502.178.136.1516
202.178.136.152/292.178.136.153 to 2.178.136.1582.178.136.1596
212.178.136.160/292.178.136.161 to 2.178.136.1662.178.136.1676
222.178.136.168/292.178.136.169 to 2.178.136.1742.178.136.1756
232.178.136.176/292.178.136.177 to 2.178.136.1822.178.136.1836
242.178.136.184/292.178.136.185 to 2.178.136.1902.178.136.1916
252.178.136.192/292.178.136.193 to 2.178.136.1982.178.136.1996
262.178.136.200/292.178.136.201 to 2.178.136.2062.178.136.2076
272.178.136.208/292.178.136.209 to 2.178.136.2142.178.136.2156
282.178.136.216/292.178.136.217 to 2.178.136.2222.178.136.2236
292.178.136.224/292.178.136.225 to 2.178.136.2302.178.136.2316
302.178.136.232/292.178.136.233 to 2.178.136.2382.178.136.2396
312.178.136.240/292.178.136.241 to 2.178.136.2462.178.136.2476
322.178.136.248/292.178.136.249 to 2.178.136.2542.178.136.2556
332.178.137.0/292.178.137.1 to 2.178.137.62.178.137.76
342.178.137.8/292.178.137.9 to 2.178.137.142.178.137.156
352.178.137.16/292.178.137.17 to 2.178.137.222.178.137.236
362.178.137.24/292.178.137.25 to 2.178.137.302.178.137.316
372.178.137.32/292.178.137.33 to 2.178.137.382.178.137.396
382.178.137.40/292.178.137.41 to 2.178.137.462.178.137.476
392.178.137.48/292.178.137.49 to 2.178.137.542.178.137.556
402.178.137.56/292.178.137.57 to 2.178.137.622.178.137.636
412.178.137.64/292.178.137.65 to 2.178.137.702.178.137.716
422.178.137.72/292.178.137.73 to 2.178.137.782.178.137.796
432.178.137.80/292.178.137.81 to 2.178.137.862.178.137.876
442.178.137.88/292.178.137.89 to 2.178.137.942.178.137.956
452.178.137.96/292.178.137.97 to 2.178.137.1022.178.137.1036
462.178.137.104/292.178.137.105 to 2.178.137.1102.178.137.1116
472.178.137.112/292.178.137.113 to 2.178.137.1182.178.137.1196
482.178.137.120/292.178.137.121 to 2.178.137.1262.178.137.1276
492.178.137.128/292.178.137.129 to 2.178.137.1342.178.137.1356
502.178.137.136/292.178.137.137 to 2.178.137.1422.178.137.1436
512.178.137.144/292.178.137.145 to 2.178.137.1502.178.137.1516
522.178.137.152/292.178.137.153 to 2.178.137.1582.178.137.1596
532.178.137.160/292.178.137.161 to 2.178.137.1662.178.137.1676
542.178.137.168/292.178.137.169 to 2.178.137.1742.178.137.1756
552.178.137.176/292.178.137.177 to 2.178.137.1822.178.137.1836
562.178.137.184/292.178.137.185 to 2.178.137.1902.178.137.1916
572.178.137.192/292.178.137.193 to 2.178.137.1982.178.137.1996
582.178.137.200/292.178.137.201 to 2.178.137.2062.178.137.2076
592.178.137.208/292.178.137.209 to 2.178.137.2142.178.137.2156
602.178.137.216/292.178.137.217 to 2.178.137.2222.178.137.2236
612.178.137.224/292.178.137.225 to 2.178.137.2302.178.137.2316
622.178.137.232/292.178.137.233 to 2.178.137.2382.178.137.2396
632.178.137.240/292.178.137.241 to 2.178.137.2462.178.137.2476
642.178.137.248/292.178.137.249 to 2.178.137.2542.178.137.2556
652.178.138.0/292.178.138.1 to 2.178.138.62.178.138.76
662.178.138.8/292.178.138.9 to 2.178.138.142.178.138.156
672.178.138.16/292.178.138.17 to 2.178.138.222.178.138.236
682.178.138.24/292.178.138.25 to 2.178.138.302.178.138.316
692.178.138.32/292.178.138.33 to 2.178.138.382.178.138.396
702.178.138.40/292.178.138.41 to 2.178.138.462.178.138.476
712.178.138.48/292.178.138.49 to 2.178.138.542.178.138.556
722.178.138.56/292.178.138.57 to 2.178.138.622.178.138.636
732.178.138.64/292.178.138.65 to 2.178.138.702.178.138.716
742.178.138.72/292.178.138.73 to 2.178.138.782.178.138.796
752.178.138.80/292.178.138.81 to 2.178.138.862.178.138.876
762.178.138.88/292.178.138.89 to 2.178.138.942.178.138.956
772.178.138.96/292.178.138.97 to 2.178.138.1022.178.138.1036
782.178.138.104/292.178.138.105 to 2.178.138.1102.178.138.1116
792.178.138.112/292.178.138.113 to 2.178.138.1182.178.138.1196
802.178.138.120/292.178.138.121 to 2.178.138.1262.178.138.1276
812.178.138.128/292.178.138.129 to 2.178.138.1342.178.138.1356
822.178.138.136/292.178.138.137 to 2.178.138.1422.178.138.1436
832.178.138.144/292.178.138.145 to 2.178.138.1502.178.138.1516
842.178.138.152/292.178.138.153 to 2.178.138.1582.178.138.1596
852.178.138.160/292.178.138.161 to 2.178.138.1662.178.138.1676
862.178.138.168/292.178.138.169 to 2.178.138.1742.178.138.1756
872.178.138.176/292.178.138.177 to 2.178.138.1822.178.138.1836
882.178.138.184/292.178.138.185 to 2.178.138.1902.178.138.1916
892.178.138.192/292.178.138.193 to 2.178.138.1982.178.138.1996
902.178.138.200/292.178.138.201 to 2.178.138.2062.178.138.2076
912.178.138.208/292.178.138.209 to 2.178.138.2142.178.138.2156
922.178.138.216/292.178.138.217 to 2.178.138.2222.178.138.2236
932.178.138.224/292.178.138.225 to 2.178.138.2302.178.138.2316
942.178.138.232/292.178.138.233 to 2.178.138.2382.178.138.2396
952.178.138.240/292.178.138.241 to 2.178.138.2462.178.138.2476
962.178.138.248/292.178.138.249 to 2.178.138.2542.178.138.2556
972.178.139.0/292.178.139.1 to 2.178.139.62.178.139.76
982.178.139.8/292.178.139.9 to 2.178.139.142.178.139.156
992.178.139.16/292.178.139.17 to 2.178.139.222.178.139.236
1002.178.139.24/292.178.139.25 to 2.178.139.302.178.139.316
1012.178.139.32/292.178.139.33 to 2.178.139.382.178.139.396
1022.178.139.40/292.178.139.41 to 2.178.139.462.178.139.476
1032.178.139.48/292.178.139.49 to 2.178.139.542.178.139.556
1042.178.139.56/292.178.139.57 to 2.178.139.622.178.139.636
1052.178.139.64/292.178.139.65 to 2.178.139.702.178.139.716
1062.178.139.72/292.178.139.73 to 2.178.139.782.178.139.796
1072.178.139.80/292.178.139.81 to 2.178.139.862.178.139.876
1082.178.139.88/292.178.139.89 to 2.178.139.942.178.139.956
1092.178.139.96/292.178.139.97 to 2.178.139.1022.178.139.1036
1102.178.139.104/292.178.139.105 to 2.178.139.1102.178.139.1116
1112.178.139.112/292.178.139.113 to 2.178.139.1182.178.139.1196
1122.178.139.120/292.178.139.121 to 2.178.139.1262.178.139.1276
1132.178.139.128/292.178.139.129 to 2.178.139.1342.178.139.1356
1142.178.139.136/292.178.139.137 to 2.178.139.1422.178.139.1436
1152.178.139.144/292.178.139.145 to 2.178.139.1502.178.139.1516
1162.178.139.152/292.178.139.153 to 2.178.139.1582.178.139.1596
1172.178.139.160/292.178.139.161 to 2.178.139.1662.178.139.1676
1182.178.139.168/292.178.139.169 to 2.178.139.1742.178.139.1756
1192.178.139.176/292.178.139.177 to 2.178.139.1822.178.139.1836
1202.178.139.184/292.178.139.185 to 2.178.139.1902.178.139.1916
1212.178.139.192/292.178.139.193 to 2.178.139.1982.178.139.1996
1222.178.139.200/292.178.139.201 to 2.178.139.2062.178.139.2076
1232.178.139.208/292.178.139.209 to 2.178.139.2142.178.139.2156
1242.178.139.216/292.178.139.217 to 2.178.139.2222.178.139.2236
1252.178.139.224/292.178.139.225 to 2.178.139.2302.178.139.2316
1262.178.139.232/292.178.139.233 to 2.178.139.2382.178.139.2396
1272.178.139.240/292.178.139.241 to 2.178.139.2462.178.139.2476
1282.178.139.248/292.178.139.249 to 2.178.139.2542.178.139.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses